# MPI_Get_count

Gets the number of "top level" elements

## Synopsis

    #include "mpi.h"
    int MPI_Get_count(
            MPI_Status *status,
            MPI_Datatype datatype,
            int *count )

## Input Parameters

| status | return status of receive operation (Status)
| datatype | datatype of each receive buffer element (handle)

## Output Parameter

count
  number of received elements (integer) Notes: If the size of the datatype is zero, this routine will return a count of zero. If the amount of data in `status` is not an exact multiple of the size of `datatype` (so that `count` would not be integral), a `count` of `MPI_UNDEFINED` is returned instead.

## Notes for Fortran

All MPI routines in Fortran (except for `MPI_WTIME` and `MPI_WTICK`) have an additional argument `ierr` at the end of the argument list. `ierr` is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the `call` statement.

All MPI objects (e.g., `MPI_Datatype`, `MPI_Comm`) are of type `INTEGER` in Fortran.

## Errors

All MPI routines (except `MPI_Wtime` and `MPI_Wtick`) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with `MPI_Errhandler_set`; the predefined error handler `MPI_ERRORS_RETURN` may be used to cause error values to be returned. Note that MPI does not guarentee that an MPI program can continue past an error.

MPI_SUCCESS
  No error; MPI routine completed successfully.

MPI_ERR_TYPE
  Invalid datatype argument. May be an uncommitted MPI_Datatype (see `MPI_Type_commit`).

Location:getcount.c